Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F146510572
D2287.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
7 KB
Referenced Files
None
Subscribers
None
D2287.diff
View Options
Index: head/ObsoleteFiles.inc
===================================================================
--- head/ObsoleteFiles.inc
+++ head/ObsoleteFiles.inc
@@ -38,6 +38,9 @@
# xargs -n1 | sort | uniq -d;
# done
+# 20150418
+OLD_FILES+=sbin/mount_oldnfs
+OLD_FILES+=usr/share/man/man8/mount_oldnfs.8.gz
# 20150416: ALTQ moved to net/altq
OLD_FILES+=usr/include/altq/altq_rmclass_debug.h
OLD_FILES+=usr/include/altq/altq.h
Index: head/etc/defaults/rc.conf
===================================================================
--- head/etc/defaults/rc.conf
+++ head/etc/defaults/rc.conf
@@ -88,7 +88,7 @@
fsck_y_flags="" # Additional flags for fsck -y
background_fsck="YES" # Attempt to run fsck in the background where possible.
background_fsck_delay="60" # Time to wait (seconds) before starting the fsck.
-netfs_types="nfs:NFS oldnfs:OLDNFS smbfs:SMB" # Net filesystems.
+netfs_types="nfs:NFS smbfs:SMB" # Net filesystems.
extra_netfs_types="NO" # List of network extra filesystem types for delayed
# mount at startup (or NO).
@@ -324,7 +324,6 @@
nfs_client_enable="NO" # This host is an NFS client (or NO).
nfs_access_cache="60" # Client cache timeout in seconds
nfs_server_enable="NO" # This host is an NFS server (or NO).
-oldnfs_server_enable="NO" # Run the old NFS server (YES/NO).
nfs_server_flags="-u -t" # Flags to nfsd (if enabled).
mountd_enable="NO" # Run mountd (or NO).
mountd_flags="-r" # Flags to mountd (if NFS server enabled).
Index: head/etc/rc.d/mountd
===================================================================
--- head/etc/rc.d/mountd
+++ head/etc/rc.d/mountd
@@ -33,12 +33,6 @@
fi
fi
- # If oldnfs_server_enable is yes, force use of the old NFS server
- #
- if checkyesno oldnfs_server_enable; then
- rc_flags="-o ${rc_flags}"
- fi
-
if checkyesno zfs_enable; then
rc_flags="${rc_flags} /etc/exports /etc/zfs/exports"
fi
Index: head/etc/rc.d/nfsd
===================================================================
--- head/etc/rc.d/nfsd
+++ head/etc/rc.d/nfsd
@@ -19,40 +19,25 @@
nfsd_precmd()
{
- if checkyesno oldnfs_server_enable; then
- rc_flags="-o ${nfs_server_flags}"
+ rc_flags="${nfs_server_flags}"
- # Load the module now, so that the vfs.nfsrv sysctl
- # oids are available.
- load_kld nfsserver
-
- if checkyesno nfs_reserved_port_only; then
- echo 'NFS on reserved port only=YES'
- sysctl vfs.nfsrv.nfs_privport=1 > /dev/null
- else
- sysctl vfs.nfsrv.nfs_privport=0 > /dev/null
- fi
+ # Load the modules now, so that the vfs.nfsd sysctl
+ # oids are available.
+ load_kld nfsd
+
+ if checkyesno nfs_reserved_port_only; then
+ echo 'NFS on reserved port only=YES'
+ sysctl vfs.nfsd.nfs_privport=1 > /dev/null
else
- rc_flags="${nfs_server_flags}"
+ sysctl vfs.nfsd.nfs_privport=0 > /dev/null
+ fi
- # Load the modules now, so that the vfs.nfsd sysctl
- # oids are available.
- load_kld nfsd
-
- if checkyesno nfs_reserved_port_only; then
- echo 'NFS on reserved port only=YES'
- sysctl vfs.nfsd.nfs_privport=1 > /dev/null
- else
- sysctl vfs.nfsd.nfs_privport=0 > /dev/null
- fi
-
- if checkyesno nfsv4_server_enable; then
- sysctl vfs.nfsd.server_max_nfsvers=4 > /dev/null
- force_depend nfsuserd || err 1 "Cannot run nfsuserd"
- else
- echo 'NFSv4 is disabled'
- sysctl vfs.nfsd.server_max_nfsvers=3 > /dev/null
- fi
+ if checkyesno nfsv4_server_enable; then
+ sysctl vfs.nfsd.server_max_nfsvers=4 > /dev/null
+ force_depend nfsuserd || err 1 "Cannot run nfsuserd"
+ else
+ echo 'NFSv4 is disabled'
+ sysctl vfs.nfsd.server_max_nfsvers=3 > /dev/null
fi
force_depend rpcbind || return 1
Index: head/sbin/mount/mount.8
===================================================================
--- head/sbin/mount/mount.8
+++ head/sbin/mount/mount.8
@@ -457,7 +457,6 @@
.Cm msdosfs ,
.Cm nfs ,
.Cm nullfs ,
-.Cm oldnfs ,
.Cm smbfs ,
.Cm udf ,
and
Index: head/sbin/mount/mount.c
===================================================================
--- head/sbin/mount/mount.c
+++ head/sbin/mount/mount.c
@@ -144,7 +144,7 @@
unsigned int i;
const char *fs[] = {
"cd9660", "mfs", "msdosfs", "nfs",
- "nullfs", "oldnfs", "smbfs", "udf", "unionfs",
+ "nullfs", "smbfs", "udf", "unionfs",
NULL
};
Index: head/sbin/mount_nfs/Makefile
===================================================================
--- head/sbin/mount_nfs/Makefile
+++ head/sbin/mount_nfs/Makefile
@@ -5,14 +5,11 @@
PROG= mount_nfs
SRCS= mount_nfs.c getmntopts.c mounttab.c
MAN= mount_nfs.8
-MLINKS= mount_nfs.8 mount_oldnfs.8
MOUNT= ${.CURDIR}/../mount
UMNTALL= ${.CURDIR}/../../usr.sbin/rpc.umntall
CFLAGS+= -DNFS -I${MOUNT} -I${UMNTALL}
-LINKS= ${BINDIR}/mount_nfs ${BINDIR}/mount_oldnfs
-
.PATH: ${MOUNT} ${UMNTALL}
.include <bsd.prog.mk>
Index: head/sbin/mount_nfs/mount_nfs.8
===================================================================
--- head/sbin/mount_nfs/mount_nfs.8
+++ head/sbin/mount_nfs/mount_nfs.8
@@ -63,12 +63,6 @@
.%T "NFS: Network File System Version 3 Protocol Specification" ,
Appendix I.
.Pp
-If the file system type is specified as ``oldnfs'', which implies this
-command is run as ``mount_oldnfs'', then it forces use of the old NFS
-client, which does not support the
-.Cm nfsv4
-option.
-.Pp
By default,
.Nm
keeps retrying until the mount succeeds.
Index: head/share/man/man5/rc.conf.5
===================================================================
--- head/share/man/man5/rc.conf.5
+++ head/share/man/man5/rc.conf.5
@@ -2294,14 +2294,6 @@
these are the flags to pass to the
.Xr nfscbd 8
daemon.
-.It Va oldnfs_server_enable
-.Pq Vt bool
-If
-.Va oldnfs_server_enable
-is set to
-.Dq Li YES ,
-force the NFS server daemons to run the old NFS server code
-that does not support NFSv4.
.It Va mountd_enable
.Pq Vt bool
If set to
Index: head/sys/nfsclient/nfs.h
===================================================================
--- head/sys/nfsclient/nfs.h
+++ head/sys/nfsclient/nfs.h
@@ -114,10 +114,7 @@
#ifdef _KERNEL
#ifdef MALLOC_DECLARE
-MALLOC_DECLARE(M_NFSREQ);
MALLOC_DECLARE(M_NFSDIROFF);
-MALLOC_DECLARE(M_NFSBIGFH);
-MALLOC_DECLARE(M_NFSHASH);
MALLOC_DECLARE(M_NFSDIRECTIO);
#endif
Index: head/usr.bin/nfsstat/nfsstat.c
===================================================================
--- head/usr.bin/nfsstat/nfsstat.c
+++ head/usr.bin/nfsstat/nfsstat.c
@@ -245,13 +245,6 @@
} else {
if (zero)
bzero(&zerostat, sizeof(zerostat));
- buflen = sizeof(struct nfsstats);
- if (*stp != NULL && sysctlbyname("vfs.oldnfs.nfsstats", *stp,
- &buflen, zero ? &zerostat : NULL, zero ? buflen : 0) < 0) {
- if (errno != ENOENT)
- err(1, "sysctl: vfs.oldnfs.nfsstats");
- *stp = NULL;
- }
buflen = sizeof(struct nfsrvstats);
if (*srvstp != NULL && sysctlbyname("vfs.nfsrv.nfsrvstats",
*srvstp, &buflen, zero ? &zerostat : NULL,
Index: head/usr.sbin/nfsd/nfsd.8
===================================================================
--- head/usr.sbin/nfsd/nfsd.8
+++ head/usr.sbin/nfsd/nfsd.8
@@ -112,11 +112,10 @@
.Tn UDP NFS
clients.
.It Fl e
-The new NFS server that includes NFSv4 support is now the default, so this
-option is now a no-op and should be considered deprecated.
+Enable NFSv4 support.
+It is enabled by default; this option should be considered deprecated.
.It Fl o
-Forces the use of the old NFS server that does not include NFSv4 support
-in it.
+Disable NFSv4 support.
.El
.Pp
For example,
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Wed, Mar 4, 6:30 AM (17 h, 34 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
29231440
Default Alt Text
D2287.diff (7 KB)
Attached To
Mode
D2287: Remove oldnfs remnants.
Attached
Detach File
Event Timeline
Log In to Comment